%define	major 2
%define libname	%mklibname zip %{major}
%define develname %mklibname zip -d

Summary:	A C library for reading, creating, and modifying zip archives
Name:		libzip
Version:	0.11.2
Release:	%mkrel 2
Group:		System/Libraries
License:	BSD
URL:		http://www.nih.at/libzip/
Source0:	http://www.nih.at/libzip/%{name}-%{version}.tar.xz
BuildRequires:	libtool
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

%package -n	%{libname}
Summary:	A C library for reading, creating, and modifying zip archives
Group:          System/Libraries

%description -n	%{libname}
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

%package -n	%{develname}
Summary:	Static library and header files for the %{name} library
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Obsoletes:	%{mklibname zip 1}-devel

%description -n	%{develname}
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

This package contains the static %{name} library and its header files.

%prep

%setup -q -n %{name}-%{version}

%build

%configure2_5x --disable-static

%make


%install
rm -rf %{buildroot}

%makeinstall_std

#drop this
rm -f %{buildroot}/%{_libdir}/*.*a

mv %{buildroot}%{_libdir}/libzip/include/zipconf.h %{buildroot}%{_includedir}/zipconf.h

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README THANKS TODO
%{_bindir}/zipcmp
%{_bindir}/zipmerge
%{_bindir}/ziptorrent
%{_mandir}/man1/zipcmp.1*
%{_mandir}/man1/zipmerge.1*
%{_mandir}/man1/ziptorrent.1*

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS NEWS README THANKS TODO
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libzip.pc
%{_mandir}/man3/*


%changelog
* Tue Feb 04 2014 bb <bb> 0.11.2-2pclos2014
- fix developement package

* Tue Feb 04 2014 bb <bb> 0.11.2-1pclos2014
- update

* Tue Jun 15 2010 Texstar <texstar at gmail.com> 0.9.3-1pclos2010
- 0.9.3

